Package org.eclipse.birt.chart.model.attribute

# Interface Palette

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PaletteImpl`

public interface Palette extends IChartObject
A representation of the model object 'Palette'. Palette represents a palette of Fills.

The following features are supported:

- `Name`
- `Entries`

See Also:
  - `AttributePackage.getPalette()`

## Method Summary

Modifier and Type
Method
Description
`Palette`
`copyInstance()`
`org.eclipse.emf.common.util.EList<Fill>`
`getEntries()`
Returns the value of the 'Entries' containment reference list.
`String`
`getName()`
Returns the value of the 'Name' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`shift(int iStep)`
Shifts the colors in palette with the steps.
`void`
`shift(int iStep, int iSize)`
Re-creates the palette colors with specified size and shifts the colors in palette with the steps.
`void`
`update(int iIndex)`
Deprecated.
to use `shift(int)`
`void`
`update(Fill f)`
This convenience method updates the content of a palette with a single color NOTE: Manually written

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute. Attribute "Name" specifies the name that uniquely identifies this palette.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `AttributePackage.getPalette_Name()`

### setName

void setName(String value)
Sets the value of the '`Name`' attribute. Sets the name for the palette.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`

### getEntries

org.eclipse.emf.common.util.EList<Fill> getEntries()
Returns the value of the 'Entries' containment reference list. The list contents are of type `Fill`. Gets the entries defined in the palette. Holds the entries contained in the palette.

Returns:
  the value of the 'Entries' containment reference list.
See Also:
  - `AttributePackage.getPalette_Entries()`

### update

@Deprecated void update(int iIndex)
Deprecated.
to use `shift(int)`
This convenience method updates the content of a palette with a library of colors NOTE: Manually written

Parameters:
  `iIndex` -
See Also:
  - `shift(int)`

### update

void update(Fill f)
This convenience method updates the content of a palette with a single color NOTE: Manually written

Parameters:
  `f` -

### shift

void shift(int iStep)
Shifts the colors in palette with the steps. NOTE: Manually written

Parameters:
  `iStep` - moving steps to rotate the color. If the step is zero or the absolute value is greater than the size of list, do nothing. Negative value means moving to the left side, and positive value is to the right side.
Since:
  2.2

### shift

void shift(int iStep, int iSize)
Re-creates the palette colors with specified size and shifts the colors in palette with the steps. NOTE: Manually written

Parameters:
  `iStep` - moving steps to rotate the color. If the step is zero or the absolute value is greater than the size of list, do nothing. Negative value means moving to the left side, and positive value is to the right side.
  `iSize` - the size of color library to create
Since:
  2.2

### copyInstance

Palette copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`